Saltar al contenido principal
GET
/
api
/
v1
/
authorization
/
llm
/
check
Python (SDK)
from mka1 import SDK


with SDK(
    bearer_auth="<YOUR_BEARER_TOKEN_HERE>",
) as sdk:

    res = sdk.permissions.llm.check(resource_type="conversation", resource_id="<id>", role="writer")

    # Handle response
    print(res)
{
  "allowed": true
}

Documentation Index

Fetch the complete documentation index at: https://docs.mka1.com/llms.txt

Use this file to discover all available pages before exploring further.

Autorizaciones

Authorization
string
header
requerido

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Encabezados

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Parámetros de consulta

resourceType
enum<string>
requerido

Tipo de recurso LLM

Opciones disponibles:
completion,
file,
vector_store,
conversation,
response,
skill
resourceId
string
requerido

Identificador único para el recurso

Minimum string length: 1
Pattern: ^(\*|[a-zA-Z0-9_-]+)$
role
enum<string>
requerido

Rol de permiso para el recurso (propietario > escritor > lector)

Opciones disponibles:
owner,
writer,
reader

Respuesta

Permiso verificado con éxito

allowed
boolean
requerido

Si el usuario tiene el permiso especificado